import 'dart:async';
import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:openmediacentermobile/api/token.dart';

class API {
  static Future<String> query(
      String apinode, String action, Object payload) async {
    final t = await Token.getInstance().getToken();
    if (t != null) {
      final resp = await http.post(
        Uri.parse(t.domain + '/api/$apinode/$action'),
        headers: <String, String>{
          'Content-Type': 'application/json; charset=UTF-8',
          'Token': t.token
        },
        body: jsonEncode(payload),
      );

      return resp.body;
    } else {
      return "";
    }
  }
}
